NR< H > Struct Template Reference

NR signature scheme. More...

Inheritance diagram for NR< H >:

## Additional Inherited Members

Public Types inherited from DL_SS< DL_SignatureKeys_GFP, DL_Algorithm_NR< Integer >, DL_SignatureMessageEncodingMethod_NR, H >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_SignatureKeys_GFP
typedef DL_GroupParameters_GFP | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey
Static Public Member Functions inherited from DL_SS< DL_SignatureKeys_GFP, DL_Algorithm_NR< Integer >, DL_SignatureMessageEncodingMethod_NR, H >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H>
struct NR< H >

NR signature scheme.

Template Parameters

  H | HashTransformation derived class

See also
  NR

Definition at line 720 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h